Bug 434765 - unspecified macro used
unspecified macro used
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: jython (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 06:13 EST by Florian La Roche
Modified: 2008-06-04 15:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 15:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2008-02-25 06:13:47 EST
Description of problem:

jython .spec file is using %{pyver} without first specifying this macro.

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andrew Overholt 2008-02-25 08:39:34 EST
See the first line of the specfile:

%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}
Comment 2 Matěj Cepl 2008-03-20 04:14:17 EDT
So this should be NOTABUG, right?
Comment 3 Andrew Overholt 2008-03-20 12:22:41 EDT
Yeah, thanks Matej.
Comment 4 Florian La Roche 2008-05-25 03:14:56 EDT
This is for the src.rpm requires:

$ rpm -qp --requires jython-2.2.1-0.1.Release_2_2_1.1jpp.1.fc9.src.rpm | grep python
python >= %{pyver}

regards,

Florian La Roche
Comment 5 Andrew Overholt 2008-06-04 15:44:21 EDT
Florian:  did you see comment #1?  I really don't see how this is a bug.  Please
re-open with more information if you still believe this is a bug.

Note You need to log in before you can comment on or make changes to this bug.